/* input font*/
@font-face {
  font-family: iransans;
  src: url(./../public/font/Iran_Sans.ttf);
}

body {
  position: relative;

  line-height: 1.5;
  margin: 0;
  padding: 0;
}
* {
  font-family: iransans;
}
p {
  font-size: 14px;
}
a {
  text-decoration: unset;
}
::placeholder {
  color: #c7c7c7;
  font-size: 16px;
}
.jus-text {
  text-align: justify;
}
.width-divider {
  width: 120px;
  margin: auto !important;
}
.actice-link {
  color: #ef7c01;
}
.swal2-icon .swal2-icon-content {
  padding-top: 16px !important;
  margin: auto !important;
}
/* css for splash page component*/
.body-splash {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
}

.body-splash .version {
  position: absolute;
  bottom: 42px;
  width: 130px;
}
/*css for send code*/
.field {
  width: 242px;
  height: 42px;
}
.input-hide {
  background-color: transparent;
  border: none;
  text-align: center;
  margin-top: 6px;
}
.input-hide:focus {
  outline: none;
}
/* body flex is for sencode & checkcode*/
.body-flex {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  align-items: center;
  justify-content: space-around;
}

.body-flex .mid-div2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  height: 100px;
}

.body-flex .mid-div2 .input {
  background-color: #ececec;
  height: 42px;
  width: 242px;
  border-radius: 4px;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: space-around;
}
.body-flex .mid-div2 .input .icon-input {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 42px;
}
.bottom-div p {
  margin: 42px;
}
/* css for verification-input */
.container {
  height: 42px;
  width: 242px;
  direction: ltr;
}
.vi__character {
  height: unset !important ;
  flex-grow: unset !important;
  flex-basis: unset !important;
}
.vi__container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.character {
  width: 42px;
  height: 42px;
  font-size: 20px;
  background-color: #ececec;
  border: 1px solid transparent;
  border-radius: 8px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.character--selected {
  border: 1px solid #ef7c01;
}
/* css for MenuAppBar component*/
.menuappbar {
  position: fixed;
  top: 0;
  width: 100vw;
  height: 55.5px;
  background-color: #fafafa;
  border: 1px;
  border-color: #ececec;
  border-style: none none solid none;
  z-index: 2;
}
.menuappbar-main {
  height: 52.5px;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;
  padding-top: 4px;
}
.menuappBar-item {
  height: 56.5px;
  display: flex;
  align-items: center;
  align-content: space-between;
  justify-content: center;
  flex-direction: column;
}
.font-logo {
  font-size: 26px;
  height: 56.5px;
  margin: auto 0px;
  font-family: tester;
  text-align: center;
}

@media screen and (max-width: 287px) {
  .font-logo {
    line-height: 23px;
  }
}
/* css for story component*/

.story {
  background-color: white;
  height: 112px;
  overflow: auto;
  white-space: nowrap;

  box-shadow: rgb(0 0 0 / 20%) 0px 2px 1px -1px,
    rgb(0 0 0 / 14%) 0px 1px 1px 0px, rgb(0 0 0 / 12%) 0px 1px 3px 0px;
}
.story-main {
  height: 112px;
  display: flex;
  align-items: center;
  flex-direction: row;
}
.story-main .swiper-container {
  height: unset;
  width: unset;
}
.story::-webkit-scrollbar {
  display: none;
}
/* css for badge*/
.badge {
  position: absolute;
  top: 47px;
  right: 11px;
  display: flex;

  background-color: #1976d2;
  width: 18px;
  height: 18px;

  color: white;
  border-radius: 50%;
  flex-direction: row;
  justify-content: center;
}
/* css for avatar component*/
.avatar {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0px 8px;
}
.avatar img {
  height: 64px !important;
  width: 64px !important;
  border-radius: 50%;
  vertical-align: middle;
  border: solid;
  border-width: 2px;
  border-color: #858585;
}
.avatar p {
  margin: 4px 0px 0px 0px;
  text-align: center;
  font-size: 10px;
}
.avatar-skeleton {
  display: flex;
  flex-direction: column;
  align-items: center;
}
/* css for post component */
.card {
  height: fit-content;
  background-color: white;
  margin: 16px 0px;
  box-shadow: rgb(0 0 0 / 20%) 0px 3px 3px -2px,
    rgb(0 0 0 / 14%) 0px 3px 4px 0px, rgb(0 0 0 / 12%) 0px 1px 8px 0px;
}
.top-card {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  padding: 4px 16px;
  align-items: center;
}
.top-card p {
  margin: 0px;
  font-size: 10px;
}
.tc-left {
  display: flex;
  align-items: center;
}
.tc-right {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: flex-end;
  width: 234px;
}
.bottom-card {
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;
  padding: 16px 16px;
}
.bc-left {
  width: 136px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: row-reverse;
}
.bc-right {
  width: 74px;
  display: flex;
  justify-content: space-between;
  flex-direction: row-reverse;
}
.caption-card {
  padding: 0px 16px 16px 16px;
}
.caption-card p {
  text-align: justify;
  margin: 0px;
}
/* css for swiper in post component */
.swiper-container {
  width: 100%;
  height: 100%;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  background: #fff;

  /* Center slide text vertically */
  display: -webkit-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-box-align: center;
  -ms-flex-align: center;
  -webkit-align-items: center;
  align-items: center;
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.swiper-container {
  width: 100%;
  height: 300px;
}
/* css for img component*/
.profile-img {
  height: 48px;
  width: 48px;
  border-radius: 50%;
  vertical-align: middle;
  border: solid;
  border-width: 2px;
  border-color: #858585;
  margin-left: 8px;
}
/* css for footer*/
.footer {
  position: fixed;
  left: 0;
  bottom: 0;
  height: 56.5px;
  width: 100vw;
  background-color: #fafafa;
  border: 1px;
  border-color: #ececec;
  border-style: solid none none none;
  z-index: 2;
}
.footer-main {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: row;
}
.item-footer {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding-top: 8px;
  height: 44px;
  cursor: pointer;
}
.item-footer p {
  margin: 0px;
  font-size: 12px;
}
/*css for itemlist component*/
.list {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
/*css for button funding*/
.buttongroup-funding {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 12px;
}
.button-funding {
  margin-bottom: 12px !important;
  width: 45vw !important;
}
/* css for tabsfunding*/
.MuiTabs-flexContainer {
  justify-content: space-between;
}
.tabpanel {
  height: 360px;
  overflow: auto;
}
.tabpanel::-webkit-scrollbar {
  display: none;
}
.tabpanel-font {
  font-size: 12px !important;
}
/*css for account component*/
.account {
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: flex-end;
  margin: 8px 0px;
}
.account p {
  font-size: 10px;
  margin: 0px;
}
/*css for boxprofile*/
.flex{
  display: flex;
  flex-direction: column;
  align-items: center;
}
.flex .button{
  margin: 8px;
}